For the complete documentation index, see llms.txt. This page is also available as Markdown.

Url Shortener

get
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

No response body

No content

get/api/v1/url-shortener/create/
GET /api/v1/url-shortener/create/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

post
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

No response body

No content

post/api/v1/url-shortener/create/
POST /api/v1/url-shortener/create/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

put
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

No response body

No content

put/api/v1/url-shortener/create/
PUT /api/v1/url-shortener/create/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

delete
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
204

No response body

No content

delete/api/v1/url-shortener/create/
DELETE /api/v1/url-shortener/create/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
204

No response body

No content

get
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
url_idstringRequired
Responses
200

No response body

No content

get/api/v1/url-shortener/delete/{url_id}/
GET /api/v1/url-shortener/delete/{url_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

post
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
url_idstringRequired
Responses
200

No response body

No content

post/api/v1/url-shortener/delete/{url_id}/
POST /api/v1/url-shortener/delete/{url_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

put
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
url_idstringRequired
Responses
200

No response body

No content

put/api/v1/url-shortener/delete/{url_id}/
PUT /api/v1/url-shortener/delete/{url_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

delete
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
url_idstringRequired
Responses
204

No response body

No content

delete/api/v1/url-shortener/delete/{url_id}/
DELETE /api/v1/url-shortener/delete/{url_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
204

No response body

No content

get
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
url_idstringRequired
Responses
200

No response body

No content

get/api/v1/url-shortener/edit/{url_id}/
GET /api/v1/url-shortener/edit/{url_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

post
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
url_idstringRequired
Responses
200

No response body

No content

post/api/v1/url-shortener/edit/{url_id}/
POST /api/v1/url-shortener/edit/{url_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

put
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
url_idstringRequired
Responses
200

No response body

No content

put/api/v1/url-shortener/edit/{url_id}/
PUT /api/v1/url-shortener/edit/{url_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

delete
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
url_idstringRequired
Responses
204

No response body

No content

delete/api/v1/url-shortener/edit/{url_id}/
DELETE /api/v1/url-shortener/edit/{url_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
204

No response body

No content

get
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
url_idstringRequired
Responses
200

No response body

No content

get/api/v1/url-shortener/get-analytics/{url_id}/
GET /api/v1/url-shortener/get-analytics/{url_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

get
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

No response body

No content

get/api/v1/url-shortener/list/
GET /api/v1/url-shortener/list/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

post
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

No response body

No content

post/api/v1/url-shortener/list/
POST /api/v1/url-shortener/list/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

put
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

No response body

No content

put/api/v1/url-shortener/list/
PUT /api/v1/url-shortener/list/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

delete
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
204

No response body

No content

delete/api/v1/url-shortener/list/
DELETE /api/v1/url-shortener/list/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
204

No response body

No content

Last updated

Was this helpful?